Package org.apache.storm.trident.util

# Class TridentUtils

java.lang.Object
org.apache.storm.trident.util.TridentUtils

public class TridentUtils extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TridentUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Fields`
  `fieldsConcat(Fields... fields)`
  `static Fields`
  `fieldsSubtract(Fields all, Fields minus)`
  `static Fields`
  `fieldsUnion(Fields... fields)`
  `static <T> List<T>`
  `getChildren(org.apache.storm.shade.org.jgrapht.DirectedGraph g, T n)`
  `static <T> T`
  `getParent(org.apache.storm.shade.org.jgrapht.DirectedGraph g, T n)`
  `static <T> List<T>`
  `getParents(org.apache.storm.shade.org.jgrapht.DirectedGraph g, T n)`
  Assumes edge contains an index.
  `static Fields`
  `getSingleOutputStreamFields(IComponent component)`
  `static <T> T`
  `thriftDeserialize(Class<T> c, byte[] b)`
  `static byte[]`
  `thriftSerialize(org.apache.storm.thrift.TBase t)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TridentUtils

    public TridentUtils()

- ## Method Details

  - ### fieldsUnion

    public static Fields fieldsUnion(Fields... fields)

  - ### fieldsConcat

    public static Fields fieldsConcat(Fields... fields)

  - ### fieldsSubtract

    public static Fields fieldsSubtract(Fields all, Fields minus)

  - ### getSingleOutputStreamFields

    public static Fields getSingleOutputStreamFields(IComponent component)

  - ### getParents

    public static <T> List<T> getParents(org.apache.storm.shade.org.jgrapht.DirectedGraph g, T n)
    Assumes edge contains an index.

  - ### getChildren

    public static <T> List<T> getChildren(org.apache.storm.shade.org.jgrapht.DirectedGraph g, T n)

  - ### getParent

    public static <T> T getParent(org.apache.storm.shade.org.jgrapht.DirectedGraph g, T n)

  - ### thriftSerialize

    public static byte[] thriftSerialize(org.apache.storm.thrift.TBase t)

  - ### thriftDeserialize

    public static <T> T thriftDeserialize(Class<T> c, byte[] b)